<?php
	
	$deep_fonts_array = deep_fonts_array_builder();
	
	$deep_style_general_options= array( array(
		"name" => "Typography",
		"type" => "title",
	),
	
	array(
		"type" => "open",
		"subtitles"=>array(array("id"=>"text", "name"=>"General Texts"), array("id"=>"blogstext","name"=>"Blog Templates"), array("id"=>"widgetstext","name"=>"Widgets & Metas"), array("id"=>"portfoliotext","name"=>"Portfolio (Cubeportfolio)"), array("id"=>"buttons","name"=>"Buttons"), array("id"=>"addons","name"=>"Addons"))),
	
	/* ------------------------------------------------------------------------*
	 * TYPOGRAPHY
	 * ------------------------------------------------------------------------*/
	
	
	
	array(
		"type" => "subtitle",
		"id"=>'text'
	),
	
	
/*
	array(
		"name" => "I will use Google Fonts",
		"id" => "deep_display_googlefonts",
		"type" => "checkbox",
		"std" => "off",
		"desc"=>"Add the fonts on menu WordPress - Ultimate - Google Fonts and then go back here and select your fonts in the dropdown options"

	),
*/
	
	array(
		"name" => "Apply to Ultimate Addons Elements?",
		"id" => "deep_apply_newfonts_addons",
		"type" => "checkbox",
		"std" => "on",
		"desc"=>"If activated it will apply the fonts according the selected Tag in the element options. For example H1,H2 etc"

	),
	
	
	array(
		"type" => "documentation",
		"text" => "<h3>Links</h3>"
	),
	
	array(
		"name" => "Font",
		"id" => "deep_links_font",
		"type" => "boldway_font_builder",
		"options" => $deep_fonts_array,
		"desc" => 'You can select one of the google fonts or add custom fonts on Deep Options -> Custom Fonts.',
		"std" => 'Mulish|||400|||googleFonts'
	),
	
	array(
		"name" => "Size",
		"id" => "deep_links_size",
		"type" => "slider",
		"std" => "17px",
		"desc" => "Choose the size of your &lt;a&gt; tag."
	),
	
	
	array(
		"name" => "Color",
		"id" => "deep_links_color",
		"type" => "color",
		"desc" => 'Select a custom color for your &lt;a&gt; tag.',
		"std" => "4a4a4a"
	),
	
	array(
		"name" => "Color (hover)",
		"id" => "deep_links_color_hover",
		"type" => "color",
		"desc" => 'Select a custom color for your &lt;a&gt; tag hover state.',
		"std" => "b8b8b8"
	),

	
	array(
		"type" => "documentation",
		"text" => "<h3>Paragraphs</h3>"
	),
	
	array(
		"name" => "Font",
		"id" => "deep_p_font",
		"type" => "boldway_font_builder",
		"options" => $deep_fonts_array,
		"desc" => 'You can select one of the google fonts or add custom fonts on Deep Options -> Custom Fonts.',
		"std" => 'Mulish|||400|||googleFonts'
	),
	
	array(
		"name" => "Size",
		"id" => "deep_p_size",
		"type" => "slider",
		"std" => "17px",
		"desc" => "Choose the size of your &lt;p&gt; tag."
	),
	
	/* New 4.0 */
	array(
		"name" => "Line Height",
		"id" => "deep_p_lineheight",
		"type" => "text",
		"std" => "1.61em"
	),
	
	
	array(
		"name" => "Color",
		"id" => "deep_p_color",
		"type" => "color",
		"desc" => 'Select a custom color for your &lt;p&gt; tag.',
		"std" => "4a4a4a"
	),
	
	array(
		"type" => "documentation",
		"text" => "<h3>H1 Tag</h3>"
	),
	
	
	array(
		"name" => "Font",
		"id" => "deep_h1_font",
		"type" => "boldway_font_builder",
		"options" => $deep_fonts_array,
		"desc" => 'You can select one of the google fonts or add custom fonts on Deep Options -> Custom Fonts.',
		"std" => 'Hind|||300|||googleFonts'
	),
	
	array(
		"name" => "Size",
		"id" => "deep_h1_size",
		"type" => "slider",
		"std" => "40px",
		"desc" => "Choose the size of your H1 tag (pixels)."
	),
	
	/* New 4.0 */
	array(
		"name" => "Letter Spacing",
		"id" => "deep_h1_letterspacing",
		"type" => "text",
		"std" => "10px"
	),
	
	array(
		"name" => "Line Height",
		"id" => "deep_h1_lineheight",
		"type" => "text",
		"std" => "1.3em"
	),
	
	array(
		"name" => "Style",
		"id"=> "deep_h1_transform",
		"type" => "select",
		"std" => "uppercase",
		"options" => array(array("id"=>"none", "name"=>"None"), array("id"=>"capitalize", "name"=>"Capitalize"), array("id"=>"uppercase", "name"=>"Uppercase"), array("id"=>"lowercase", "name"=>"Lowercase"))
	),
	/**/
	
	array(
		"name" => "Color",
		"id" => "deep_h1_color",
		"type" => "color",
		"desc" => 'Select a custom color for your H1 tag.',
		"std"=> "303030"
	),
	
	array(
		"type" => "documentation",
		"text" => "<h3>H2 Tag</h3>"
	),
	
	array(
		"name" => "Font",
		"id" => "deep_h2_font",
		"type" => "boldway_font_builder",
		"options" => $deep_fonts_array,
		"desc" => 'You can select one of the google fonts or add custom fonts on Deep Options -> Custom Fonts.',
		"std" => 'Hind|||300|||googleFonts'
	),
	
	array(
		"name" => "Size",
		"id" => "deep_h2_size",
		"type" => "slider",
		"std" => "32px",
		"desc" => "Choose the size of your H2 tag (pixels)."
	),
	
	array(
		"name" => "Letter Spacing",
		"id" => "deep_h2_letterspacing",
		"type" => "text",
		"std" => "10px"
	),
	
	array(
		"name" => "Line Height",
		"id" => "deep_h2_lineheight",
		"type" => "text",
		"std" => "1.3em"
	),
	
	array(
		"name" => "Style",
		"id"=> "deep_h2_transform",
		"type" => "select",
		"std" => "uppercase",
		"options" => array(array("id"=>"none", "name"=>"None"), array("id"=>"capitalize", "name"=>"Capitalize"), array("id"=>"uppercase", "name"=>"Uppercase"), array("id"=>"lowercase", "name"=>"Lowercase"))
	),

	
	array(
		"name" => "Color",
		"id" => "deep_h2_color",
		"type" => "color",
		"desc" => 'Select a custom color for your H2 tag.',
		"std" => "303030"
	),
	
	array(
		"type" => "documentation",
		"text" => "<h3>H3 Tag</h3>"
	),
	
	array(
		"name" => "Font",
		"id" => "deep_h3_font",
		"type" => "boldway_font_builder",
		"options" => $deep_fonts_array,
		"desc" => 'You can select one of the google fonts or add custom fonts on Deep Options -> Custom Fonts.',
		"std" => 'Hind|||600|||googleFonts'
	),
	
	array(
		"name" => "Size",
		"id" => "deep_h3_size",
		"type" => "slider",
		"std" => "25px",
		"desc" => "Choose the size of your H3 tag (pixels)."
	),
	
	/* New 4.0 */
	array(
		"name" => "Letter Spacing",
		"id" => "deep_h3_letterspacing",
		"type" => "text",
		"std" => "3px"
	),
	
	array(
		"name" => "Line Height",
		"id" => "deep_h3_lineheight",
		"type" => "text",
		"std" => "1.3em"
	),
	
	array(
		"name" => "Style",
		"id"=> "deep_h3_transform",
		"type" => "select",
		"std" => "none",
		"options" => array(array("id"=>"none", "name"=>"None"), array("id"=>"capitalize", "name"=>"Capitalize"), array("id"=>"uppercase", "name"=>"Uppercase"), array("id"=>"lowercase", "name"=>"Lowercase"))
	),
	/**/
	
	array(
		"name" => "Color",
		"id" => "deep_h3_color",
		"type" => "color",
		"desc" => 'Select a custom color for your H3 tag.',
		"std" => "303030"
	),
	
	array(
		"type" => "documentation",
		"text" => "<h3>H4 Tag</h3>"
	),
	
	array(
		"name" => "Font",
		"id" => "deep_h4_font",
		"type" => "boldway_font_builder",
		"options" => $deep_fonts_array,
		"desc" => 'You can select one of the google fonts or add custom fonts on Deep Options -> Custom Fonts.',
		"std" => 'Hind|||300|||googleFonts'
	),
	
	array(
		"name" => "Size",
		"id" => "deep_h4_size",
		"type" => "slider",
		"std" => "22px",
		"desc" => "Choose the size of your H4 tag (pixels)."
	),
	
	/* New 4.0 */
	array(
		"name" => "Letter Spacing",
		"id" => "deep_h4_letterspacing",
		"type" => "text",
		"std" => "10px"
	),
	
	array(
		"name" => "Line Height",
		"id" => "deep_h4_lineheight",
		"type" => "text",
		"std" => "1.3em"
	),
	
	array(
		"name" => "Style",
		"id"=> "deep_h4_transform",
		"type" => "select",
		"std" => "uppercase",
		"options" => array(array("id"=>"none", "name"=>"None"), array("id"=>"capitalize", "name"=>"Capitalize"), array("id"=>"uppercase", "name"=>"Uppercase"), array("id"=>"lowercase", "name"=>"Lowercase"))
	),
	/**/
	
	array(
		"name" => "Color",
		"id" => "deep_h4_color",
		"type" => "color",
		"desc" => 'Select a custom color for your H4 tag.',
		"std"=> "303030"
	),
	
	array(
		"type" => "documentation",
		"text" => "<h3>H5 Tag</h3>"
	),
	
	array(
		"name" => "Font",
		"id" => "deep_h5_font",
		"type" => "boldway_font_builder",
		"options" => $deep_fonts_array,
		"desc" => 'You can select one of the google fonts or add custom fonts on Deep Options -> Custom Fonts.',
		"std" => 'Hind|||500|||googleFonts'
	),
	
	array(
		"name" => "Size",
		"id" => "deep_h5_size",
		"type" => "slider",
		"std" => "18px",
		"desc" => "Choose the size of your H5 tag (pixels)."
	),
	
	
	/* New 4.0 */
	array(
		"name" => "Letter Spacing",
		"id" => "deep_h5_letterspacing",
		"type" => "text",
		"std" => "5px"
	),
	
	array(
		"name" => "Line Height",
		"id" => "deep_h5_lineheight",
		"type" => "text",
		"std" => "1.3em"
	),
	
	array(
		"name" => "Style",
		"id"=> "deep_h5_transform",
		"type" => "select",
		"std" => "uppercase",
		"options" => array(array("id"=>"none", "name"=>"None"), array("id"=>"capitalize", "name"=>"Capitalize"), array("id"=>"uppercase", "name"=>"Uppercase"), array("id"=>"lowercase", "name"=>"Lowercase"))
	),
	/**/
	
	array(
		"name" => "Color",
		"id" => "deep_h5_color",
		"type" => "color",
		"desc" => 'Select a custom color for your H5 tag.',
		"std" => "303030"
	),
	
	array(
		"type" => "documentation",
		"text" => "<h3>H6 Tag</h3>"
	),
	
	array(
		"name" => "Font",
		"id" => "deep_h6_font",
		"type" => "boldway_font_builder",
		"options" => $deep_fonts_array,
		"desc" => 'You can select one of the google fonts or add custom fonts on Deep Options -> Custom Fonts.',
		"std" => 'Hind|||600|||googleFonts'
	),
	
	array(
		"name" => "Size",
		"id" => "deep_h6_size",
		"type" => "slider",
		"std" => "12px",
		"desc" => "Choose the size of your H6 tag (pixels)."
	),
	
	/* New 4.0 */
	array(
		"name" => "Letter Spacing",
		"id" => "deep_h6_letterspacing",
		"type" => "text",
		"std" => "3px"
	),
	
	array(
		"name" => "Line Height",
		"id" => "deep_h6_lineheight",
		"type" => "text",
		"std" => "1.3em"
	),
	
	array(
		"name" => "Style",
		"id"=> "deep_h6_transform",
		"type" => "select",
		"std" => "uppercase",
		"options" => array(array("id"=>"none", "name"=>"None"), array("id"=>"capitalize", "name"=>"Capitalize"), array("id"=>"uppercase", "name"=>"Uppercase"), array("id"=>"lowercase", "name"=>"Lowercase"))
	),
	/**/
	
	
	array(
		"name" => "Color",
		"id" => "deep_h6_color",
		"type" => "color",
		"desc" => 'Select a custom color for your H6 tag.',
		"std" => "303030"
	),
	
	
	array(
		"type" => "close"
	),
	
	
	/* BLOGS */
	array(
		"type" => "subtitle",
		"id"=>'blogstext'
	),
	
	array(
		"type" => "documentation",
		"text" => "<h3>Blog Normal Template Titles</h3>"
	),
	
	array(
		"name" => "Font",
		"id" => "deep_blog_normal_title_font",
		"type" => "boldway_font_builder",
		"options" => $deep_fonts_array,
		"desc" => 'You can select one of the google fonts or add custom fonts on Deep Options -> Custom Fonts.',
		"std" => 'Mulish|||600|||googleFonts'
	),
	
	array(
		"name" => "Size",
		"id" => "deep_blog_normal_title_size",
		"type" => "slider",
		"std" => "45px",
		"desc" => "Choose the size of your H6 tag (pixels)."
	),
	
	array(
		"name" => "Color",
		"id" => "deep_blog_normal_title_color",
		"type" => "color",
		"desc" => 'Select a custom color for your H6 tag.',
		"std" => "303030"
	),
	
	array(
		"type" => "documentation",
		"text" => "<h3>Blog Masonry Template Titles</h3>"
	),
	
	array(
		"name" => "Font",
		"id" => "deep_blog_masonry_title_font",
		"type" => "boldway_font_builder",
		"options" => $deep_fonts_array,
		"desc" => 'You can select one of the google fonts or add custom fonts on Deep Options -> Custom Fonts.',
		"std" => 'Mulish|||600|||googleFonts'
	),
	
	array(
		"name" => "Size",
		"id" => "deep_blog_masonry_title_size",
		"type" => "slider",
		"std" => "21px",
		"desc" => "Choose the size of your H6 tag (pixels)."
	),
	
	array(
		"name" => "Color",
		"id" => "deep_blog_masonry_title_color",
		"type" => "color",
		"desc" => 'Select a custom color for your H6 tag.',
		"std" => "303030"
	),
	
	
	array(
		"type" => "documentation",
		"text" => "<h3>Blog Grid Template Titles</h3>"
	),
	
	array(
		"name" => "Font",
		"id" => "deep_blog_grid_title_font",
		"type" => "boldway_font_builder",
		"options" => $deep_fonts_array,
		"desc" => 'You can select one of the google fonts or add custom fonts on Deep Options -> Custom Fonts.',
		"std" => 'Mulish|||600|||googleFonts'
	),
	
	array(
		"name" => "Size",
		"id" => "deep_blog_grid_title_size",
		"type" => "slider",
		"std" => "24px",
		"desc" => "Choose the size of your H6 tag (pixels)."
	),
	
	array(
		"name" => "Color",
		"id" => "deep_blog_grid_title_color",
		"type" => "color",
		"desc" => 'Select a custom color for your H6 tag.',
		"std" => "ffffff"
	),
	
	array(
		"type" => "close"
	),
	
	array(
		"type" => "subtitle",
		"id" => "widgetstext",
	),
	
	array(
		"type" => "documentation",
		"text" => "<h3>Blog Metas</h3>"
	),
	
	array(
		"name" => "Font",
		"id" => "deep_metas_font",
		"type" => "boldway_font_builder",
		"options" => $deep_fonts_array,
		"desc" => 'You can select one of the google fonts or add custom fonts on Deep Options -> Custom Fonts.',
		"std" => 'Hind|||400|||googleFonts'
	),
	
	array(
		"type" => "documentation",
		"text" => "<h3>Widget Titles on Sidebars & Blog Metas</h3>"
	),
	
	array(
		"name" => "Font",
		"id" => "deep_widgets_sidebars_font",
		"type" => "boldway_font_builder",
		"options" => $deep_fonts_array,
		"desc" => 'You can select one of the google fonts or add custom fonts on Deep Options -> Custom Fonts.',
		"std" => 'Hind|||600|||googleFonts'
	),
	
	array(
		"name" => "Size",
		"id" => "deep_widgets_sidebars_size",
		"type" => "slider",
		"std" => "12px",
	),
	
	array(
		"name" => "Color",
		"id" => "deep_widgets_sidebars_color",
		"type" => "color",
		"std" => "303030"
	),
	
	array(
		"type" => "documentation",
		"text" => "<h3>Widget Titles on Footer</h3>"
	),
	
	array(
		"name" => "Font",
		"id" => "deep_widgets_footer_font",
		"type" => "boldway_font_builder",
		"options" => $deep_fonts_array,
		"desc" => 'You can select one of the google fonts or add custom fonts on Deep Options -> Custom Fonts.',
		"std" => 'Hind|||600|||googleFonts'
	),
	
	array(
		"name" => "Size",
		"id" => "deep_widgets_footer_size",
		"type" => "slider",
		"std" => "12px",
	),
	
	array(
		"type" => "documentation",
		"text" => "<h3>Widget Titles on Sliding Panel</h3>"
	),

	array(
		"name" => "Font",
		"id" => "deep_widgets_sliding_panel_font",
		"type" => "boldway_font_builder",
		"options" => $deep_fonts_array,
		"desc" => 'You can select one of the google fonts or add custom fonts on Deep Options -> Custom Fonts.',
		"std" => 'Hind|||600|||googleFonts'
	),
	
	array(
		"name" => "Size",
		"id" => "deep_widgets_sliding_panel_size",
		"type" => "slider",
		"std" => "12px"
	),

	array(
		"type" => "close"
	),
	
	
	
	array(
		"type" => "subtitle",
		"id" => "portfoliotext",
	),
	
	array(
		"type" => "documentation",
		"text" => "<h3>Portfolio Title Font</h3>"
	),
	
	array(
		"name" => "Font",
		"id" => "deep_portfolio_title_font",
		"type" => "boldway_font_builder",
		"options" => $deep_fonts_array,
		"desc" => 'You can change the other options, font-size, colors etc in the plugin options (WordPress Menu > Cubeportfolio).',
		"std" => 'Mulish|||600|||googleFonts'
	),
	
	
	array(
		"type" => "documentation",
		"text" => "<h3>Portfolio SubTitle Font</h3>"
	),
	
	array(
		"name" => "Font",
		"id" => "deep_portfolio_sub_title_font",
		"type" => "boldway_font_builder",
		"options" => $deep_fonts_array,
		"desc" => 'You can select one of the google fonts or add custom fonts on Deep Options -> Custom Fonts.',
		"std" => 'Mulish|||400|||googleFonts'
	),
	
	
	array(
		"type" => "documentation",
		"text" => "<h3>Portfolio Filters Font</h3>"
	),
	
	array(
		"name" => "Font",
		"id" => "deep_portfolio_sub_filter_font",
		"type" => "boldway_font_builder",
		"options" => $deep_fonts_array,
		"desc" => 'You can select one of the google fonts or add custom fonts on Deep Options -> Custom Fonts.',
		"std" => 'Hind|||600|||googleFonts'
	),
	
	array(
		"type" => "documentation",
		"text" => "<h3>Portfolio Buttons Font</h3>"
	),
	
	array(
		"name" => "Font",
		"id" => "deep_portfolio_sub_button_font",
		"type" => "boldway_font_builder",
		"options" => $deep_fonts_array,
		"desc" => 'You can select one of the google fonts or add custom fonts on Deep Options -> Custom Fonts.',
		"std" => 'Mulish|||600|||googleFonts'
	),
	
	
	array(
		"type" => "close"
	),
	
	
	/* Buttons 2025 */
	
	array(
		"type" => "subtitle",
		"id" => "buttons",
	),
	
	array(
		"type" => "documentation",
		"text" => "<h3>Buttons</h3>"
	),
	
	array(
		"type" => "documentation",
		"text" => "<p>For default theme buttons and for buttons with style Custom selected in the Button page builder element.</p>"
	),
	array(
		"type" => "documentation",
		"text" => "<p></p>"
	),
	
	array(
		"name" => "Font",
		"id" => "deep_button_font",
		"type" => "boldway_font_builder",
		"options" => $deep_fonts_array,
		"desc" => 'You can select one of the google fonts or add custom fonts on Deep Options -> Custom Fonts.',
		"std" => 'Mulish|||700|||googleFonts'
	),
	
	/* New 4.0 */
	array(
		"name" => "Letter Spacing",
		"id" => "deep_button_letterspacing",
		"type" => "text",
		"std" => "2px"
	),
	
	array(
		"name" => "Style",
		"id"=> "deep_button_transform",
		"type" => "select",
		"std" => "uppercase",
		"options" => array(array("id"=>"none", "name"=>"None"), array("id"=>"capitalize", "name"=>"Capitalize"), array("id"=>"uppercase", "name"=>"Uppercase"), array("id"=>"lowercase", "name"=>"Lowercase"))
	),
	
	array(
		"name" => "Text Color",
		"id" => "deep_button_color",
		"type" => "color",
		"std" => "f2f2f2"
	),
	
	array(
		"name" => "Text Color Hover",
		"id" => "deep_button_color_hover",
		"type" => "color",
		"std" => "ffffff"
	),
	
	array(
		"name" => "Background Color",
		"id" => "deep_button_background_color",
		"type" => "color",
		"std" => "010101"
	),
	
	array(
		"name" => "Background Color Hover",
		"id" => "deep_button_background_color_hover",
		"type" => "color",
		"std" => "969696"
	),
	
	
	/**/
	
	array(
		"type" => "close"
	),
	
	
	/* Addons 2025 */
	
	array(
		"type" => "subtitle",
		"id" => "addons",
	),
	
	array(
		"type" => "documentation",
		"text" => "<h3>Custom Fonts Ultimate Addons </h3>"
	),
	
	array(
		"type" => "documentation",
		"text" => "<p>Most of the ultimate addons use the html tags (h1, h2, etc) but some have two fonts, you can style theses elements here.</p>"
	),
	array(
		"type" => "documentation",
		"text" => "<p></p>"
	),
	
	array(
		"type" => "documentation",
		"text" => "<h3>Dual Color Heading</h3>"
	),
	
	array(
		"name" => "Before & After Text",
		"id" => "deep_font_dual_color",
		"type" => "boldway_font_builder",
		"options" => $deep_fonts_array,
		"std" => 'Mulish|||700|||googleFonts'
	),
	
	array(
		"name" => "Highlighted",
		"id" => "deep_font_dual_color_highlighted",
		"type" => "boldway_font_builder",
		"options" => $deep_fonts_array,
		"std" => 'Mulish|||700|||googleFonts'
	),
	
 


	array(
		"type" => "close"
	),
	/*close array*/
	
	array(
		"type" => "close"
	));
	
	deep_add_style_options($deep_style_general_options);
	
?>